Preparación y envíosTarifas
Listar tarifas de envío disponibles
POST
/v1/shipping/rates/availableListar tarifas de envío disponibles. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de cabecera
x-Store-Id?string
Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.
Cuerpo de la solicitud
application/json
Definiciones TypeScript
Usa esta definición en TypeScript.
Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/shipping/rates/available" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "orderAmount": 1, "postalCode": "example_code", "totalWeight": 1, "sellerId": "7204558912004325301", "shippingProfileId": "7204558912004325301", "destination": { "address1": "example", "city": "example", "countryCode": "PE", "name": "Example resource", "company": "example", "address2": "example", "province": "example", "postalCode": "example_code" }, "items": [ { "sku": "SKU-001", "name": "Example resource", "brand": "example", "weight": 1, "price": 1, "quantity": 1, "height": 1, "width": 1, "length": 1 } ], "scheduledDate": "2026-08-01" }'[ { "shippingMethodId": "7204558912004325301", "name": "Example resource", "displayName": "Example resource", "type": "regular", "target": "automatic", "targetId": "7204558912004325301", "targetName": "Example resource", "price": 1 }]